/*
   ui/widget.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/


#ifndef __INCLUDED_UI_TOOLBAR_H__
#define __INCLUDED_UI_TOOLBAR_H__

#include "ui/widget.h"

namespace ui {

/// a toolbar container widget
class Toolbar : public Widget {
public:
	/// default constructor
	Toolbar(Widget *parent=0);
	/// default destructor
	virtual ~Toolbar();

	/// add a button to the toolbar
	void add_button(const char *bitmap, const char *text, const char *command);

protected:
	/// re-arrange child widgets
	void resize();
};

}

#endif // __INCLUDED_UI_TOOLBAR_H__
