/*
   client/trademenu.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "ui/ui.h"
#include "ui/button.h"
#include "ui/paint.h"
#include "client/trademenu.h"

namespace client
{

TradeMenu::TradeMenu(ui::Widget *parent, const char * label) : ui::Window(parent)
{
	set_border(false);
	set_background(false);
	if (label)	
		set_label(label);
	else
		set_label("trademenu");

	hide();
}

TradeMenu::~TradeMenu()
{

}

}
