/*
   core/stats.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_STATS_H__
#define __INCLUDED_CORE_STATS_H__

namespace core
{

/// class to gather various engine statistics
class Stats {
public:
	/// clear statistics
	static void clear();

	static unsigned long network_bytes_sent;
	static unsigned long network_uncompressed_bytes_sent;
	static unsigned long network_bytes_received;
};

}

#endif // __INCLUDED_CORE_STATS_H__

