/*
   base/star.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2.
*/

#include "base/game.h"
#include "base/star.h"


namespace game {

Star::Star() : core::EntityGlobe(core::Entity::Static | core::Entity::Solid | core::Entity::Bright)
{
	set_flag(core::Entity::ShowOnMap);

	entity_color.assign(1,1,1,1);
	entity_color_second.assign(1,1,1,1);
	entity_radius = 96;			// 96 game units

	entity_moduletypeid = star_enttype;
}

Star::~Star()
{
}

} // namespace game
