/*
   math/mathlib.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_MATH_MATHLIB_H__
#define __INCLUDED_MATH_MATHLIB_H__

/// this namespace contains mathematical classes and functions
/** This is an independent library
 */
namespace math {}

#include "math/axis.h"
#include "math/color.h"
#include "math/matrix4f.h"
#include "math/functions.h"
#include "math/vector2f.h"
#include "math/vector3f.h"

#endif // __INCLUDED_MATH_MATHLIB_H__

