/*
   ui/container.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_UI_CONTAINER_H__
#define __INCLUDED_UI_CONTAINER_H__

#include <string>

#include "ui/window.h"

namespace ui {

/// a widget containing childs of equal size
class Container : public Window {
public:
	Container(Widget *parent);
	~Container();

protected:
	virtual void draw_border();

	virtual void resize();
};

}

#endif // __INCLUDED_UI_CONTAINER_H__


